#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: foldl
version: 1.3.0
id: foldl-1.3.0-LpmppFAblOwFSh7ewZeiu2
key: foldl-1.3.0-LpmppFAblOwFSh7ewZeiu2
license: BSD3
copyright: 2013 Gabriel Gonzalez
maintainer: Gabriel439@gmail.com
synopsis: Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.
category: Control
author: Gabriel Gonzalez
exposed: True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
hidden-modules: Control.Foldl.Internal
abi: 8c60e3a80b3e2725bc526649a75c723b
trusted: False
import-dirs: /usr/lib/ghc-8.0.1/site-local/foldl-1.3.0
library-dirs: /usr/lib/ghc-8.0.1/site-local/foldl-1.3.0
data-dir: /usr/share/i386-linux-ghc-8.0.1/foldl-1.3.0
hs-libraries: HSfoldl-1.3.0-LpmppFAblOwFSh7ewZeiu2
depends:
    base-4.9.0.0 bytestring-0.10.8.1
    comonad-5.0.1-EAitB0Um1u97dvApDogomX containers-0.5.7.1
    contravariant-1.4-BhMeiKXigEF6jqFehOEdeG
    hashable-1.2.6.0-CKFo6Z8S7bXH0jokyKXcu0
    mwc-random-0.13.6.0-FkwmwAh2ZNWGdUe7qkQMIm
    primitive-0.6.2.0-3HSsNCfUEEE4fjqDYVydYZ
    profunctors-5.2-BK9PDuHw2BPIuZitSy103t
    text-1.2.2.2-9rr3K4o0GAG9P33dGDnV9v transformers-0.5.2.0
    unordered-containers-0.2.8.0-Njz6QHP7Gk5G9PhT6D28J
    vector-0.12.0.1-FyKxZ6HyOdr5RycjHR2p0f
    vector-builder-0.3.1-LyBMj803D3xBxTSoLGtCZ2
haddock-interfaces: /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html: /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"
